#ifndef BUCKET_H
#define BUCKET_H

// sort the list of nodes to check when using buckets.
// if the list is not sorted, enabling buckets leads to a different (but equivalent) trace.
// slows down a lot, use only to check the correctness of the bucket algorithm.
//#define BUCKET_SORT_NODELISTS

// only loop trough the buckets that the node will encounter
#define USE_NEW_ALGORITHM_FOR_BUCKETS

//#define USE_BOUNDING_BOX_BUCKETS

// approximate the intersection point of a moving
// node with a bucket (more buckets checked, but gives a small speed-up)
//#define BUCKET_APPROXIMATE_INTERSECTION_POINT

// suppress all output except total elapsed time and average checks per node
// (used in bucket performance tests)
//#define BUCKET_TEST

#endif
